.settings-container{
    position: relative;
    width: 100%;
    min-height: 100%;
    display: flex;
    flex-direction: column;
    background-color: rgb(30,30,30);
}

.settings-container-row{
    width: 100%;
    display: flex;
    flex-direction: column;
    padding: 20px;
}

.settings-container-row-title{
    width: 100%;
    height: 50px;
    color: white;
    font-size: 1.2rem;
    font-weight: bold;
}

.settings-container-row-title h2{
    border-bottom: 1px solid white;
    margin: 20px;
}

table{
    width: 100%;
    background-color: #121416;
    color: white;
    border-radius: 5px;
}

tr{
    height: 50px;
}

th{
    font-weight: bold;
    font-size: 1.5rem;
    text-align: left;
    padding: 5px;
}

td{
    text-align: left;
    font-weight: lighter;
    font-size: 1.2rem;
    padding: 10px;
}

.settings-container a{
    text-decoration: none;
    color: white;
}

.settings-container-row-buttons{
    margin-top: 20px;
    display: flex;
    flex-direction: row;
}

.settings-container-row-buttons a{
    margin-right: 10px;
    font-size: 1.2rem;
}

tr:nth-child(even) {
    background-color: #1b1e21;
}

.span-admin{
    background-color: red;
    border-radius: 5px;
    padding: 7px;
    border: none;
    color: white;
    font-size: 1.2rem;
}

.span-user{
    background-color: limegreen;
    border-radius: 5px;
    padding: 7px;
}

.span-member{
    background-color: #2e5cb3;
    border-radius: 5px;
    padding: 7px;
}

.upload-btn-wrapper {
    position: relative;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    height: 60px;
    margin-right: 30px;
}

.settings-btn-success{
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    background-color: limegreen;
    color: white;
    font-size: 1.4rem;
    padding: 7px;
    border-radius: 5px;
    width: 140px;
    border: none;
    height: 30.5px;
}

.settings-btn-error{
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    background-color: red;
    color: white;
    font-size: 1.4rem;
    padding: 7px;
    border-radius: 5px;
    width: 140px;
    border: none;
    height: 30.5px;
}

.upload-btn-wrapper span{
    margin-top: 5px;
    font-size: 1.1rem;
    color: white;
}

.settings-form{
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    background-color: rgb(30,30,30);
}

.settings-form h1{
    color: white;
}

.settings-container-row form{
    display: flex;
    flex-direction: row;
    width: 100%;
}

.form-element{
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    margin-bottom: 20px;
}

.form-element input{
    width: 100%;
    height: 3rem;
    font-size: 1.4rem;
    border-radius: 5px;
    border: none;
    padding-left: 5px;
}

.form-element select{
    width: 100%;
    height: 3rem;
    font-size: 1.4rem;
    border: none;
    border-radius: 5px;
}

.form-element label{
    color: white;
    margin-top: 5px;
    font-size: 1.3rem;
}

.form-buttons{
    display: flex;
    flex-direction: row;
    width: 100%;
    justify-content: space-between;
    align-items: center;
    height: 2rem;
}

.form-buttons button{
    background-color: limegreen;
    border-radius: 5px;
    height: 3rem;
    text-align: center;
    color: white;
    border: none;
    font-size: 1.4rem;
    width: 100px;
}

.form-buttons-cancel{
    background-color: red;
    border-radius: 5px;
    height: 3rem;
    text-align: center;
    color: white;
    border: none;
    font-size: 1.4rem;
    width: 100px;
    text-decoration: none;
    display: flex;
    align-items: center;
    justify-content: center;
}

